Name:           sonic-desktop-interface
Version:        6.4.5
Release:        1%{?dist}
Summary:        Desktop interface for SonicDE (fork of plasma-desktop)

License:        GPL-2.0-or-later
URL:            https://github.com/Sonic-DE/sonic-desktop-interface
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(libusb)
BuildRequires:  fontconfig-devel
BuildRequires:  libX11-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-renderutil-devel
BuildRequires:  xcb-util-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  pkgconfig(xkeyboard-config)

BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  qt6-qtsvg-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  qt6-qtwayland-devel
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  wayland-protocols-devel

BuildRequires:  ibus-devel

BuildRequires:  kf6-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Su)
BuildRequires:  cmake(KF6Attica)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6Baloo)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6People)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KDED)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  cmake(KSysGuard)
BuildRequires:  cmake(Plasma5Support)
BuildRequires:  kscreenlocker-devel
BuildRequires:  sonic-win-devel
BuildRequires:  sonic-workspace-devel

BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(PlasmaActivitiesStats)
BuildRequires:  sonic-interface-libraries-devel

BuildRequires:  intltool
BuildRequires:  cmake(KAccounts6)
BuildRequires:  PackageKit-Qt6-devel
BuildRequires:  libcanberra-devel
BuildRequires:  boost-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  SDL2-devel
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libwacom)

Requires:       sonic-workspace
Requires:       accountsservice
Requires:       qt6-qtlocation%{?_isa}
Requires:       xdg-utils >= 1.2.0
Requires:       kde-cli-tools

Conflicts:      plasma-desktop

%description
Sonic Desktop Interface contains the core widgets and configuration modules
for the SonicDE desktop, fork of plasma-desktop.

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %{name} --with-html --all-name

%files -f %{name}.lang
%license LICENSES/*
%{_bindir}/sonic-desktop-interface
%{_libdir}/qt6/plugins/plasma/kcms/
%{_qt6_qmldir}/org/kde/plasma/desktop/
%{_datadir}/plasma/plasmoids/org.kde.plasma.desktop/
%{_datadir}/knotifications6/sonic-desktop-interface.notifyrc

%changelog
* Wed Mar 11 2026 Anders Rh <andersrh@example.com> - 6.4.5-1
- Initial release (Downgraded to 6.4.5 for EL 10.1)
